<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$profile_id  = $args['profile_id'] ?? '';
$tagline     = gigneo_post_meta( $profile_id, '_gigneo_pm_tagline' );
$description = gigneo_post_meta( $profile_id, '_gigneo_pm_bio' );
?>
<div id="gn-overview" class="gn-section gn-overview-section">
	<?php if ( $tagline ) { ?>
		<div class="gn-head">
			<h3 class="gn-title"><?php echo esc_html( $tagline ); ?></h3>
		</div>
		<?php
	}
	if ( $description ) {
		?>
		<div class="gn-body">
			<pre class="gn-pre"><?php echo wp_kses( $description, gigneo_allowed_html_tags() ); ?></pre>
		</div>
		<?php
	}if ( empty( $tagline ) && empty( $description ) ) {
			$not_found_args = array(
				'title'       => esc_html__( 'No overview yet', 'gigneo' ),
				'description' => esc_html__( 'An overview hasn’t been added to this profile so far.', 'gigneo' ),
			);
			gigneo_not_found( 'single_profile_overview', $not_found_args );
	}
	?>
</div>
